Summary:	Color management tools for GNOME
Summary(pl.UTF-8):	Narzędzia do zarządzania kolorami dla GNOME
Name:		gnome-color-manager
Version:	3.24.0
Release:	2
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-color-manager/3.24/%{name}-%{version}.tar.xz
# Source0-md5:	47b7f7ef50e9e28f07db14c604ef08c9
# rpm glob again has some problem with absolute symlinks (dead at the time of packaging);
# use relative ones (they don't go across /)
Patch0:		%{name}-symlinks.patch
# dead, wiki.gnome.org GnomeColorManager page is in Attic too
#URL:		http://projects.gnome.org/gnome-color-manager/
URL:		https://github.com/GNOME/gnome-color-manager
BuildRequires:	appstream-glib-devel
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	colord-devel >= 1.3.1
BuildRequires:	colord-gtk-devel >= 0.1.20
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-utils
BuildRequires:	exiv2-devel
BuildRequires:	gettext-tools >= 0.19.7
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	gnome-common
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	lcms2-devel >= 2.2
BuildRequires:	libcanberra-gtk3-devel >= 0.10
BuildRequires:	libexif-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	tar >= 1:1.22
BuildRequires:	vte-devel >= 0.28.0
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	glib2 >= 1:2.32.0
Requires:	colord >= 1.3.1
Requires:	colord-gtk >= 0.1.20
Requires:	glib2 >= 1:2.32.0
Requires:	hicolor-icon-theme
Requires:	lcms2 >= 2.2
Requires:	libcanberra-gtk3 >= 0.10
Requires:	vte >= 0.28.0
Suggests:	shared-color-profiles
Obsoletes:	gnome-color-manager-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Color Manager is a session framework for the GNOME desktop
environment that makes it easy to manage easy to manage, install and
generate color profiles.

%description -l pl.UTF-8
GNOME Color Manager to szkielet sesyjny dla środowiska graficznego
GNOME ułatwiający zarządzanie, instalowanie i generowanie profili
kolorów.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-schemas-compile \
	--disable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_icon_cache hicolor
%update_desktop_database_post
%glib_compile_schemas

%postun
/sbin/ldconfig
%update_icon_cache hicolor
%update_desktop_database_postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
%attr(755,root,root) %{_bindir}/gcm-calibrate
%attr(755,root,root) %{_bindir}/gcm-import
%attr(755,root,root) %{_bindir}/gcm-inspect
%attr(755,root,root) %{_bindir}/gcm-picker
%attr(755,root,root) %{_bindir}/gcm-viewer
%attr(755,root,root) %{_libexecdir}/gcm-helper-exiv
%{_datadir}/appdata/org.gnome.ColorProfileViewer.appdata.xml
%{_datadir}/gnome-color-manager
%{_desktopdir}/gcm-calibrate.desktop
%{_desktopdir}/gcm-import.desktop
%{_desktopdir}/gcm-picker.desktop
%{_desktopdir}/org.gnome.ColorProfileViewer.desktop
%{_iconsdir}/hicolor/*x*/apps/gnome-color-manager.png
%{_iconsdir}/hicolor/*/mimetypes/application-vnd.iccprofile.png
%{_iconsdir}/hicolor/scalable/apps/gnome-color-manager.svg
%{_iconsdir}/hicolor/scalable/mimetypes/application-vnd.iccprofile.svg
%{_mandir}/man1/gcm-calibrate.1*
%{_mandir}/man1/gcm-import.1*
%{_mandir}/man1/gcm-inspect.1*
%{_mandir}/man1/gcm-picker.1*
%{_mandir}/man1/gcm-viewer.1*
%changelog
* Mon Sep 25 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-color-manager.git;a=log;h=master

* Mon Sep 25 2017 Jan Rękorajski <baggins@pld-linux.org> 8f77071
- rebuild with exiv2 0.26
- release 2 (by relup.sh)

* Sun Jul 16 2017 Jakub Bogusz <qboosh@pld-linux.org> ba81ea9
- updated to 3.24.0

* Mon Jan 09 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 24fd4e0
- Update to 3.22.2

* Thu Sep 08 2016 Jakub Bogusz <qboosh@pld-linux.org> b94b77b
- updated to 3.20.0

* Sun Nov 15 2015 Jakub Bogusz <qboosh@pld-linux.org> 33e6f24
- updated to 3.18.0
- added symlinks patch (workaround for rpm glob problems)

* Tue May 05 2015 Jan Rękorajski <baggins@pld-linux.org> 896765d
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 430562d
- updated gettext BR

* Wed Nov 19 2014 Jan Rękorajski <baggins@pld-linux.org> 621a3f3
- updated BRs

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> 0d7ef18
- up to 3.14.2

* Wed Jul 09 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 46bc515
- Update to 3.12.3

* Sun Jun 08 2014 Jan Rękorajski <baggins@pld-linux.org> 8694f50
- up to 3.12.2

* Mon Apr 14 2014 Jan Rękorajski <baggins@pld-linux.org> c515a1d
- release 3 (by relup.sh)

* Mon Mar 03 2014 Jan Rękorajski <baggins@pld-linux.org> f8e45b9
- release 2 (by relup.sh)

* Sun Oct 20 2013 Marcin Banasiak <marcin.banasiak@gmail.com> bc51d44
- Update to 3.10.1

* Sun Sep 29 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 564eb07
- Update to 3.10.0

* Sat May 25 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 276675b
- Update to 3.8.2

* Tue Apr 23 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 582b124
- Update to 3.8.1

* Sat Mar 30 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 0412282
- Update to 3.8.0

* Tue Nov 20 2012 Jan Rękorajski <baggins@pld-linux.org> 810500c
- release 2 (by relup.sh)

* Mon Oct 08 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 1c0ed07
- Updated to 3.6.0

